Subject: Re: request_8xxirq

From: Dan Malek <[email-masked]>
Date: Fri, 29 Jul 2005 13:43:09 -0400

On Jul 29, 2005, at 1:01 PM, Tiago Dall'Agnol wrote:

> Am I wrong? I didn't understand when that function request_irq is used.

At some point I don't remember and against all of my wishes, the code
was changed from using request_8xxirq to using request_irq using
an ugly hack to add some offset to the 8xx interrupt vector number.
I didn't see any bug that needed fixing, but people with the power to
ignore my maintainer status decided to change it anyway.  So, now you
have to modify your drivers to call request_irq() with some nonsensical
interrupt number.  No value added, just confusion.

Thanks.

	-- Dan